Bug Hunting Session
Bug 51741 - EDIITING: Deleting bookmark is not seen as a modification of document
Summary: EDIITING: Deleting bookmark is not seen as a modification of document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Renato Ferreira
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3
Keywords: difficultyBeginner, easyHack, skillCpp
: 56115 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-07-04 21:52 UTC by narayanaras
Modified: 2016-02-18 16:37 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (16.74 KB, application/3dr)
2012-07-04 22:30 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description narayanaras 2012-07-04 21:52:17 UTC
If you delete a bookmark, Writer does not see it as a change in the odt file. As a result, if you close the file, you are not prompted to save it first. As a result, you risk losing this change.

Desired: 
Just like addition of a bookmark is registered as a change, deletion of a bookmark also should be registered as a change in the odt file.
Comment 1 Rainer Bielefeld Retired 2012-07-04 22:28:21 UTC
Still [Reproducible] with attached sample document and parallel installation of Master "LOdev " 3.7.0.0.alpha0+   - WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 3985521]" (tinderbox: W2008R2@16-minimal_build, pull time 2012-06-24)

Already reproducible with LibO 3.3.3

Deletion of a Bookmark will not activate 'Undo' icon and / or 'Save' icon

@Michael:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 2 Rainer Bielefeld Retired 2012-07-04 22:30:33 UTC
Created attachment 63844 [details]
Sample Document

Also did not work with OOo 3.2, so inherited from OOo
Comment 3 Roman Eisele 2012-10-25 11:22:47 UTC
*** Bug 56115 has been marked as a duplicate of this bug. ***
Comment 4 Roman Eisele 2012-10-25 11:25:42 UTC
Platform = All confirmed:
REPRODUCIBLE on Mac OS X 10.6.8 (Intel) with LibreOffice 3.3.0 and 3.6.3.1 (Build ID: f8fce0b), both with German langpack installed.

Lowering Importance a bit:
no data/formatting lost, does not prevent the user from working, therefore IMHO a minor (but not trivial) issue.
Comment 5 Stefano Fraccaro 2014-08-13 12:15:01 UTC
this happen when deleting AND when renaming the bookmark. We use bookmark to open exported pdf file at given page.
Comment 6 Renato Ferreira 2014-11-15 05:43:34 UTC
I have pushed a possible fix at <https://gerrit.libreoffice.org/#/c/12436/>.
Both deletion and renaming trigger the "modified document" status with this patch, however I am completely knew to this codebase and would accept advise on whether the organization proposed is consonant to the general code. I was not sure about how to deal with the bookmark / document relationship, and who should be responsible for what, so I tried to minimize impact on the rest of the code when fixing this bug.
Comment 7 Björn Michaelsen 2014-12-02 10:53:05 UTC
adding LibreOffice developer list as CC to unresolved Writer EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 8 Commit Notification 2014-12-02 13:55:37 UTC
Renato Ferreira committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f0c4cd51cb160492d78c2796f71ecd88da25fa59

fdo#51741 Mark document as modified on bookmark rename / delete

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-12-11 15:47:04 UTC
Matúš Kukan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9338bea6e8dfab8d360fe8ab19dd5d75071bfc2a

Add undo operation for deleting a bookmark + unit test, related fdo#51741

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-12-11 21:32:48 UTC
Renato Ferreira committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b4000bac50431b75d9e1157b88c2fb137e684591&h=libreoffice-4-4

fdo#51741 Mark document as modified on bookmark rename / delete

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-12-11 21:32:53 UTC
Matúš Kukan committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95b7cf6cef5edc920adee62c18fd97668a9ed3a8&h=libreoffice-4-4

Add undo operation for deleting a bookmark + unit test, related fdo#51741

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Matúš Kukan 2014-12-12 12:57:01 UTC
Marking as fixed. Thanks Renato!
Comment 13 Commit Notification 2015-06-24 15:00:24 UTC
Varun committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16ca97a0c24da47cd7b0d2e7f3170d547cb063d2

Added Test for tdf#51741 bookmark rename doc mod

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Robinson Tryon (qubit) 2015-12-15 22:50:38 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp )
[NinjaEdit]
Comment 15 Robinson Tryon (qubit) 2016-02-18 16:37:02 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]